QGIS Application - Bug report #16062
PyQGISDeveloperCookbook gives translations instructions that apply to C/C++
2017-01-11 06:36 AM - Mario Frasca

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 23977
Description

the instrucitons given in 13.4 - Translations apply to C or C++, not to Python, which is the language assumed in the whole cookbook.
in particular and as far as | could see:
- we do not use lupdate” but “pylupdate4’

- FORMS needs to be explicit, it isn't expanded by “pylupdate4.
- the plugin structure as described in 13.1.1 does not match the FORMS example.

History

#1 - 2017-01-11 08:47 AM - Mario Frasca

by the way, is the repository for this documentation in the https://github.com/qgis/ area? | don't quite manage to find it.

| wish to propose my correction in a pull request.

#2 - 2017-01-11 09:03 AM - Harrissou Santanna

Yes, The documentation repository is at www.github.com/qgis/QGIS-Documentation

Another way to reach the source file of the documentation is to use the "Fix Me" link at the bottom of any web page of the documentation. It'll lead you
directly to the right file to change.

Thanks for offering a fix.

#3 - 2017-01-11 11:22 AM - Mario Frasca

check https://github.com/qgis/QGIS-Documentation/pull/1620

#4 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#5 - 2017-05-13 09:01 PM - Harrissou Santanna
- Status changed from Open to Closed

- Description updated

- Category set to Documentation and Help

- Resolution set to fixed/implemented
Fixed in https://github.com/qgis/QGIS-Documentation/pull/1870
